# $Revision: 1.6 $, $Date: 2002/08/31 11:09:30 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Image
%define	pnam	Xbm
Summary:	Image::Xbm - Load, create, manipulate and save xbm image files.
Summary(pl):	Image::Xbm - wczytaj, twrz, modyfikuj i zapisuj obrazy w formacie xbm.
Name:		perl-Image-Xbm
Version:	1.08
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Image-Base >= 1.06
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class module provides basic load, manipulate and save functionality
for the xbm file format.  It inherits from Image::Base which provides
additional manipulation functionality, e.g. new_from_image().

%description -l pl
Image::Xbm dostarcza prostej funkconalnoci do wczytywania, manipulacji
i zapisywania obrazw w formacie xbm.  Dziedziczy po Image::Base,
dostarczajcym dodatkowych funkcji manipulacyjnych; np. new_from_image().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Image/*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Image-Xbm.spec,v $
Revision 1.6  2002/08/31 11:09:30  radek
- conditional tests, removed useless README, fixed License field,
  provided informative summary/description; release 3

Revision 1.5  2002/07/20 15:37:09  kloczek
- release 2.

Revision 1.4  2002/07/20 10:20:50  qboosh
- BR: perl-Image-Base

Revision 1.3  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
